Howdy, Stranger!

It looks like you're new here. Sign in or register to get started.

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

SoD on Ipad

In the site it says SoD requires ios 7.0 or greater.
I haven't updated my ios on my ipad since 6, something. And don't want to, because newer versions of the ios become incompatible with ifunbox, as I hear, it is the neat program I use to connect my bg2 game to pc and mod as I want. My bg2:ee game on ipad is brimming with mods, custom edits, and everything nice, without a jailbreak. If I upgrade ios I won't be able to mod or edit my saves on Ipad, which is a big no for me. Having a modded bg2 game on my ipad and being able to mod and edit everything in it whenever I want is a real joy.

So, will SoD really be uninstallable if I do not upgrade my ios? I wonder why, iwd, bg1 and bg2 work well in my current ios. Such a bummer.

jackjack

Comments

  • GallowglassGallowglass Member Posts: 3,356
    I'm not on ios, but as I hear it, ifunbox is still fine with ios 7 and the earlier versions of ios 8, it was only with the later versions of ios 8 that ifunbox was broken.

    Whether or not SoD will run with ios 6 is currently unknown. When developers (of anything, not just BG) say that software "requires" a certain version of an o/s, what this usually means is that they haven't designed and tested it with any earlier version in mind and therefore aren't making any promises about whether or not it'll work with an earlier version.

    Nevertheless, it often turns out that the software isn't critically reliant on some new feature of the o/s which didn't exist until the specified version, so it might actually work on earlier versions than "required". Or it might not, it's a matter of luck.

    If it doesn't install or run, then you should be okay doing a partial update of your ios (i.e. to version 7 or early 8) without breaking your ifunbox-dependent setup.

    lunarJuliusBorisov
  • lunarlunar Member Posts: 3,433
    edited January 2016
    Ooh that was very insightful information. I thank you.

    How can I update only to ios 7.0 ? From my settings screen, I see the latest update only that is 8,4 something and I most certainly do not want that, as it breaks ifunbox functionality.

    GallowglassJuliusBorisovjackjack
  • LifatLifat Member Posts: 353
    I've tried to look into updating an ipad to a specific ios version, which seems to be a lot more difficult than it really should be. That is apple for you.

    Anyways, this is what I found in a 3 minute google search. I'm not tech savy enough or familiar enough with apple products to really know if this is good enough, so in short: Use at own risk.

    select version from dropdown menu

    lunarJuliusBorisov
  • lunarlunar Member Posts: 3,433
    Thank you too! I will look into it when I have time. You are very kind.

    JuliusBorisov
  • jackjackjackjack Member Posts: 3,251
    Sad that my iPad won't be able to play it. It was a good run. Time for a new one I suppose.

  • lunarlunar Member Posts: 3,433
    jackjack said:

    Sad that my iPad won't be able to play it. It was a good run. Time for a new one I suppose.

    @jackjack What ipad generation do you use? Ipad 1? Mine is 2, and is quite ancient but bg1, bg2 and iwd works well enough on them, and I can upgrade ios to 8. something if I am not mistaken.

  • jackjackjackjack Member Posts: 3,251
    IPad 1, which cannot be updated past 5.1.3.

    lunar
  • _Luke__Luke_ Member, Mobile Tester Posts: 1,510
    @lunar I'm also an iPad 2 user and I can tell you that this device IS old! I mean, I played all the EE games on it, but the experience was quite terrible... There are NOTICEABLE slowdowns when:
    - there are multiple spells being cast at a time ( BG2:EE);
    - there are several enemies ( >10) on the screen;
    - someone uses AoE Magic ( Entangle, Striking Cloud, Web, Cloud Kill, Fireball,...)
    @jackjack "Time for a new one I suppose": you are perfectly right, I am also interested in purchasing a new iPad... If the rumors on the internet are true, Apple is going to unveil the Air 3 on March....

    jackjack
  • jackjackjackjack Member Posts: 3,251
    What's interesting is that I don't experience any of those issues on my iPad 1! I do have to tolerate the occasional crash, but with this tablet, I'm used to it, hehe. As you say, time to upgrade!

  • proccoprocco Member, Mobile Tester Posts: 915
    I also play on an iPad 2 and the EEs run really well for me. The only problems I've had are with IWD...if I start unloading the entire party's AOE spells and there's all kinds of monsters running around at the same time, the graphics break and turn all patterned. Which is actually really cool looking, but not a great way to play.
    I have to say, the ipad2 has been surprisingly long lasting and a real work horse. It is, sadly, getting to be time to pass it down to the kids and get myself a new one (just have to convince my wife to let me spend the $$$). I do want to wait until Beamdog have some sort of reliable file sharing in place. I split my playing time between my iPad, iPhone and PC.

    jackjack
  • jackjackjackjack Member Posts: 3,251
    Yeah, with the neutering of iFunbox, a cloud save feature is pretty much a no-brainer at this point.

  • lunarlunar Member Posts: 3,433
    edited January 2016
    jackjack said:

    Yeah, with the neutering of iFunbox, a cloud save feature is pretty much a no-brainer at this point.

    Hear, hear!

    @Luke93 I don't have major slow downs in the game on my ipad2, loading times are a bit long but that is due to scs mod's extremely long scripts.
    Only three spells cause slow down:when shrieking mushrooms summon myconids, and when two unique Glabrezus in WK summon ice salamanders and fire elementals, there is this obnoxious and totally redundant cloud animation, it lasts forever after each summoning and it eats away the fps. I editted those spells to not use that effect. Other clean cloud effects like cloudkill etc. are fine. Horrid wilting is the worst offender in fps, as its graphic is similiar to that obnoxious cloud effect.

    I have to manually close the game and load my save again after half hour, or the game crashes when it has been played too long. Happened to me when I beat scs improved irenicus in Asylum, I beat him in the first try, crashed, and then I spent the whole day loading and trying to beat him again. Before major fights, a save, closing and loading application is a must. Otherwise, if I played too long, I press quicksave, it saves BUT crashes. And when I try to load the saved game, it shows blank frames instead of party pictures and many things are corrupt ine the save game. I guess ipad2 runs out of memory after a certain amount of gameplay and can not save the game.
    It happened last night, I was like, 'Nah, I can get one more fight before closing/loading' and I beat Hive Mother in Underdark and then I saved and crashed. Had to do it all again. NOT fun.

Sign In or Register to comment.